﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.AddressSpace;

namespace OpcLabs.EasyOpcFactory.DataAccess.AddressSpace
{
    static public class DANodeElementCollectionInstances
    {
        [NotNull]
        static public DANodeElementCollection Instance0 => new DANodeElementCollection();

        [NotNull]
        static public DANodeElementCollection Instance1
        {
            get
            {
                var nodeElementCollection = new DANodeElementCollection
                {
                    DANodeElementInstances.Instance0,
                    DANodeElementInstances.Instance1,
                    DANodeElementInstances.Instance2,
                };

                return nodeElementCollection;
            }
        }
    }
}
