﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.AddressSpace;

namespace OpcLabs.EasyOpcFactory.DataAccess.AddressSpace
{
    static public class DAPropertyElementCollectionInstances
    {
        [NotNull]
        static public DAPropertyElementCollection Instance0 => new DAPropertyElementCollection();

        [NotNull]
        static public DAPropertyElementCollection Instance1
        {
            get
            {
                var propertyElementCollection = new DAPropertyElementCollection
                {
                    DAPropertyElementInstances.Instance0,
                    DAPropertyElementInstances.Instance1,
                    DAPropertyElementInstances.Instance2,
                    DAPropertyElementInstances.Instance3,
                    DAPropertyElementInstances.Instance4,
                };

                return propertyElementCollection;
            }
        }
    }
}
