﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Engine;
using OpcLabs.EasyOpcFactory.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess.Engine
{
    static public class EasyDASharedParametersInstances
    {
        [NotNull]
        static public EasyDASharedParameters Instance1 => new EasyDASharedParameters
        {
            ClientParameters = EasyDAClientParametersInstances.Instance1,
            EngineParameters = EasyDAEngineParametersInstances.Instance1,
            MachineParameters = EasyMachineParametersInstances.Instance1,
            TopicParameters = EasyDATopicParametersInstances.Instance1,
        };
    }
}
