﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Discovery
{
    static public class UAApplicationElementInstances
    {
        [NotNull]
        static public UAApplicationElement Instance0 => new UAApplicationElement();

        [NotNull]
        static public UAApplicationElement Instance1 => new UAApplicationElement(
            UAApplicationTypes.ClientOrServer,
            "discoveryUriString1",
            "applicationName1",
            "productUriString1",
            "applicationUriString1");

        [NotNull]
        static public UAApplicationElement Instance2 => new UAApplicationElement(
            "testServerName",
            "testDiscoveryURL",
            new[] {"DA", "AC"});

    }
}

