﻿using System;
using System.Reflection;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.ComponentModel;

namespace OpcLabs.BaseLibTest.ComponentModel
{
    public partial class LicensingManagementTest
    {
        [TestMethod]
        public void RegisterManagedResourceTest()
        {
            var target = LicensingManagement.Instance;
            // must not throw
            target.RegisterManagedResource("TestComponent", Guid.NewGuid().ToString(), Assembly.GetExecutingAssembly(), "TestResource");
            // IMPROVE: test more
        }

        [ExpectedException(typeof(ArgumentException))]
        [TestMethod]
        public void RegisterManagedResourceTest_Duplicate()
        {
            var target = LicensingManagement.Instance;
            string licenseId = Guid.NewGuid().ToString();
            target.RegisterManagedResource("TestComponent", licenseId, Assembly.GetExecutingAssembly(), "TestResource");
            target.RegisterManagedResource("TestComponent", licenseId, Assembly.GetExecutingAssembly(), "TestResource");
        }
    }
}
