﻿
using System.Collections.Generic;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;

namespace OpcLabs.EasyOpcLiveTest.UA.Environment
{
    public abstract class UAServer
    {
        protected UAServer([NotNull] string hostName)
        {
            HostName = hostName;
        }

        [NotNull]
        public abstract IEnumerable<UAEndpointDescriptor> AllEndpointDescriptors { get; }

        [NotNull]
        public string HostName { get; }
    }
}
