﻿using System;
using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Specialized;

namespace OpcLabs.BaseLibFactory.Collections.Specialized
{
    static public class ExceptionCollectionInstances
    {
        [NotNull]
        static public ExceptionCollection Instance0 => new ExceptionCollection();

        [NotNull]
        static public ExceptionCollection Instance1 => new ExceptionCollection(new [] {new Exception("message1")});

        [NotNull]
        static public ExceptionCollection Instance2 => new ExceptionCollection(new [] {new Exception("message1"), new Exception("message2") });

        [NotNull]
        static public ExceptionCollection Instance3 => new ExceptionCollection(new[] { new Exception("message1"), new COMException("message2") });
    }
}
