﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Security.KeyManagement.Configuration;

namespace OpcLabs.BaseLibFactory.Security.KeyManagement.Configuration
{
    static public class ManagedSecurityGroupParametersInstances
    {
        [NotNull]
        static public ManagedSecurityGroupParameters Instance1 => new ManagedSecurityGroupParameters
        {
            EstimatedGetSecurityKeysTime = 11.1d,
            FailureRetrialDelay = 22.2d,
            InitialRequestedKeyCount = 33,
            MaximumRequestedKeyCount = 44,
            MinimumDelayBetweenGetSecurityKeys = 55.5d,
            MinimumFutureKeyReserveTime = 66.6d,
            MinimumPastKeyReserveTime = 77.7d,
            RequestedFutureKeyReserveTime = 88.8d,
            RequestedPastKeyReserveTime = 99.9d
        };
    }
}
