﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents;
using OpcLabs.EasyOpc.AlarmsAndEvents.Reactive;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.Reactive
{
    static public class AEAcknowledgeConditionObserverInstances
    {
        [NotNull]
        static public AEAcknowledgeConditionObserver Instance0 => 
            new AEAcknowledgeConditionObserver(EasyAEClientSelector.Default);

        [NotNull]
        static public AEAcknowledgeConditionObserver Instance1 => 
            new AEAcknowledgeConditionObserver(EasyAEClientSelectorInstances.Instance1);
    }
}
